# skbio.sequence.GeneticCode.from_ncbi

classmethod `GeneticCode.``from_ncbi`(table_id=1)

  Return NCBI genetic code specified by table ID.

  State: Stable as of 0.4.0.

  Parameters:

  table_id : int, optional

  > Table ID of the NCBI genetic code to return.

  Returns:

  GeneticCode

  > NCBI genetic code specified by table_id.

  Notes

  The table IDs and genetic codes available in this method and used throughout the examples are defined in [R194].

  References

  [R194] | (1, 2) http://www.ncbi.nlm.nih.gov/Taxonomy/Utils/wprintgc.cgi

  Examples

  Get the NCBI thraustochytrium mitochondrial genetic code (23):

      >>> tmgc = GeneticCode.from_ncbi(23)
      >>> tmgc.name
      'Thraustochytrium Mitochondrial'